package org.wfc.omada.api.globalsetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Device Access Management Setting.
 */
@ApiModel(description = "Device Access Management Setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:48:54.878+08:00[Asia/Shanghai]")

public class DeviceAccessManagementSetting   {
  @JsonProperty("webControlHttp")
  private Boolean webControlHttp;

  @JsonProperty("webControlHttps")
  private Boolean webControlHttps;

  @JsonProperty("appDiscovery")
  private Boolean appDiscovery;

  public DeviceAccessManagementSetting webControlHttp(Boolean webControlHttp) {
    this.webControlHttp = webControlHttp;
    return this;
  }

  /**
   * Control device web http accessing.
   * @return webControlHttp
  */
  @ApiModelProperty(required = true, value = "Control device web http accessing.")
  @NotNull


  public Boolean getWebControlHttp() {
    return webControlHttp;
  }

  public void setWebControlHttp(Boolean webControlHttp) {
    this.webControlHttp = webControlHttp;
  }

  public DeviceAccessManagementSetting webControlHttps(Boolean webControlHttps) {
    this.webControlHttps = webControlHttps;
    return this;
  }

  /**
   * Control device web https accessing.
   * @return webControlHttps
  */
  @ApiModelProperty(required = true, value = "Control device web https accessing.")
  @NotNull


  public Boolean getWebControlHttps() {
    return webControlHttps;
  }

  public void setWebControlHttps(Boolean webControlHttps) {
    this.webControlHttps = webControlHttps;
  }

  public DeviceAccessManagementSetting appDiscovery(Boolean appDiscovery) {
    this.appDiscovery = appDiscovery;
    return this;
  }

  /**
   * Control device app discovery, bind with device web https access, if appDiscvoery is enabled, webControlHttps must be enabled.
   * @return appDiscovery
  */
  @ApiModelProperty(required = true, value = "Control device app discovery, bind with device web https access, if appDiscvoery is enabled, webControlHttps must be enabled.")
  @NotNull


  public Boolean getAppDiscovery() {
    return appDiscovery;
  }

  public void setAppDiscovery(Boolean appDiscovery) {
    this.appDiscovery = appDiscovery;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceAccessManagementSetting deviceAccessManagementSetting = (DeviceAccessManagementSetting) o;
    return Objects.equals(this.webControlHttp, deviceAccessManagementSetting.webControlHttp) &&
        Objects.equals(this.webControlHttps, deviceAccessManagementSetting.webControlHttps) &&
        Objects.equals(this.appDiscovery, deviceAccessManagementSetting.appDiscovery);
  }

  @Override
  public int hashCode() {
    return Objects.hash(webControlHttp, webControlHttps, appDiscovery);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceAccessManagementSetting {\n");
    
    sb.append("    webControlHttp: ").append(toIndentedString(webControlHttp)).append("\n");
    sb.append("    webControlHttps: ").append(toIndentedString(webControlHttps)).append("\n");
    sb.append("    appDiscovery: ").append(toIndentedString(appDiscovery)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

